import { ImageSliderBlock as ImageSliderBlockType } from "@/gql/graphql";
import Image from "../general/Image";
import styles from "./imageSliderBlock.module.scss";

export const ImageSliderBlock = ({
  block,
}: {
  block: ImageSliderBlockType;
}) => {
  return (
    <div className={styles.imageSliderBlock}>
      {block.images &&
        block.images.map((imageItem: any) => (
          <div key={imageItem.image.id}>
            <div>{imageItem.image.url}</div>
            <div>{imageItem.text}</div>
          </div>
        ))}
    </div>
  );
};
