import { EventCategory } from "@/lib/event";

import styles from "./eventFilter.module.scss";

export const EventFilter = ({
  eventCategories,
  setCategory,
  activeCategory,
}: {
  eventCategories: EventCategory[];
  setCategory: (slug: string | null) => void;
  activeCategory: string | null;
}) => {
  return (
    <div className={styles.eventFilter}>
      <span>Filter</span>
      <ul>
        {eventCategories
          .filter((x) => x.showInFilters)
          .map((category) => (
            <li
              key={category.slug}
              className={activeCategory === category.slug ? styles.active : ""}
            >
              <button onClick={() => setCategory(activeCategory === category.slug ? null : category.slug)}>
                {category.name}
              </button>
            </li>
          ))}
      </ul>
    </div>
  );
};
