"use client";
import styles from "./pig.module.scss";
import { ChillPig } from "./pigs/ChillPig";
import { DancePig } from "./pigs/DancePig";
import { DrinkPig } from "./pigs/DrinkPig";
import { GuardPig } from "./pigs/GuardPig";
import { KeyPig } from "./pigs/KeyPig";
import { ListenPig } from "./pigs/ListenPig";
import { LogoPig } from "./pigs/LogoPig";
import { MusicPig } from "./pigs/MusicPig";
import { PeekPig } from "./pigs/PeekPig";
import { PointPig } from "./pigs/PointPig";
import { StudentPig } from "./pigs/StudentPig";
import { useInView } from "react-intersection-observer";

export const BgPig = ({
  type,
}: {
  type:
    | "logo"
    | "music"
    | "drink"
    | "dance"
    | "point"
    | "student"
    | "listen"
    | "guard"
    | "key"
    | "chill"
    | "peek";
}) => {
  const { ref: observer, inView: IsInView } = useInView({ triggerOnce: false });
  return (
    <div className={styles.bgPigWrapper}>
      <div className={`${styles.pig} ${styles.bgPig}`} data-inview={IsInView}>
        {type === "logo" && <LogoPig />}
        {type === "music" && <MusicPig />}
        {type === "drink" && <DrinkPig />}
        {type === "dance" && <DancePig />}
        {type === "point" && <PointPig />}
        {type === "student" && <StudentPig />}
        {type === "listen" && <ListenPig />}
        {type === "guard" && <GuardPig />}
        {type === "key" && <KeyPig />}
        {type === "chill" && <ChillPig />}
        {type === "peek" && <PeekPig />}
      </div>
      <div className={styles.observer} ref={observer}></div>
    </div>
  );
};
