import { graphql } from "@/gql";

const BlockFragmentDefinition = graphql(`
  fragment Blocks on StreamFieldInterface {
    id
    blockType
    field
    ... on RichTextBlock {
      rawValue
      value
    }
    ... on ImageWithTextBlock {
      image {
        ...Image
      }
      imageFormat
      text
    }
    ... on ImageSliderBlock {
      images {
        ... on ImageSliderItemBlock {
          image {
            ...Image
          }
          text
        }
      }
    }
  }
`);

const ImageFragmentDefinition = graphql(`
  fragment Image on CustomImage {
    id
    url
    width
    height
    alt
    attribution
  }
`);
